| Kea 3.0.2-git

buffer.h File Reference
`#include <exceptions/exceptions.h>`
`#include <cstdint>`
`#include <cstdlib>`
`#include <cstring>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for buffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::util::InputBuffer
| The `InputBuffer` class is a buffer abstraction for manipulating read-only data. More...
class | isc::util::OutputBuffer
| The `OutputBuffer` class is a buffer abstraction for manipulating mutable data. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util

## Typedefs
typedef boost::shared_ptr< InputBuffer > | isc::util::InputBufferPtr
| Type of pointers to input buffer.
typedef boost::shared_ptr< OutputBuffer > | isc::util::OutputBufferPtr
| Type of pointers to output buffers.